Package org.eclipse.viatra.query.runtime.rete.index

## Class SpecializedProjectionIndexer.ListenerSubscription

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.index.SpecializedProjectionIndexer.ListenerSubscription

- Enclosing class:
    SpecializedProjectionIndexer

      public static class SpecializedProjectionIndexer.ListenerSubscription
      extends java.lang.Object

  Infrastructure to share subscriptions between specialized indexers of the same parent node.
  Since:
    1.7

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SpecializedProjectionIndexer` | `indexer` |
    `protected IndexerListener` | `listener` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListenerSubscription​(SpecializedProjectionIndexer indexer, IndexerListener listener)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `SpecializedProjectionIndexer` | `getIndexer()` |
    `IndexerListener` | `getListener()` |
    `int` | `hashCode()` |
    `void` | `propagate​(Direction direction, Tuple updateElement, Timestamp timestamp)` | Call this from parent node.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### indexer

          protected SpecializedProjectionIndexer indexer

    - #### listener

          protected IndexerListener listener

  - ### Constructor Detail

    - #### ListenerSubscription

          public ListenerSubscription​(SpecializedProjectionIndexer indexer,
                                      IndexerListener listener)

  - ### Method Detail

    - #### getIndexer

          public SpecializedProjectionIndexer getIndexer()

      Since:
        2.4

    - #### getListener

          public IndexerListener getListener()

      Since:
        2.4

    - #### propagate

          public void propagate​(Direction direction,
                                Tuple updateElement,
                                Timestamp timestamp)

      Call this from parent node.
      Since:
        2.4

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`